
<div class="p-20" fxLayoutGap="20px" fxLayoutGap.lt-md="" >
	<mat-card class="art-card" fxFlex="50" fxFlex.lt-md='100'
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">

		<div class="mb-20">
			<h3 > Файл подписанный ЭЦП</h3>
			<p class="mat-caption">в формате attached  PKSC#7, кодировка der</p>
		</div>

		<mat-card-content>
			<div *ngIf="certificate; else notSertificateData">
				<div class="mb-12">
					<b>{{certificate.name}} {{certificate.patronymic}} {{certificate.surname}}</b>

					<p>ОГРН: {{certificate.ogrn || 'нет данных'}}</p>
					<p>Email: {{certificate.email || 'нет данных'}}</p>
					<p class="mt-12">Серийный номер: {{certificate.serial_number || 'нет данных'}}</p>
					<p>sha1hash: {{certificate.sha1hash || 'нет данных'}}</p>
					<p>Идентификатор: {{certificate.subjKey_id || 'нет данных'}}</p>
					<p class="mt-12">Начало действия: {{ (certificate.not_before | date: 'dd.MM.yyyy HH:mm, (zzzz)') || 'нет данных'}}</p>
					<p>Окончание действия: {{ (certificate.not_after | date: 'dd.MM.yyyy HH:mm, (zzzz)') || 'нет данных'}}</p>
				</div>

				<div class="mb-12">
					<b>Место выдачи</b>
					<p>
						{{certificate.issuer || 'нет данных'}}
					</p>
				</div>

				<div *ngIf="certificate.subject" class="mb-12">
					<b>Кому выдан</b>
					<p>
						{{certificate.subject || 'нет данных'}}
					</p>
				</div>

			</div>
			<ng-template #notSertificateData>
				<div class="mb-20"><i> Файл не загружен </i></div>

			</ng-template>


			<button mat-flat-button color="primary" (click)="initForm()" *ngIf="!formData">
				<span *ngIf="certificate"> Обновить файл </span>
				<span *ngIf="!certificate"> Загрузить файл </span>
			</button>

			<div *ngIf="formData" class="mt-20">
				<form  [formGroup]="formData" (ngSubmit)="download()">
					<div fxLayout="column" class="my-8">
						<app-file-upload  fxFlex="" formControlName="file"></app-file-upload>

						<div class="mt-12">
							<button mat-flat-button color="accent" type="submit" [disabled]="this.formData.invalid">Загрузить</button>
						</div>

					</div>
				</form>

			</div>
		</mat-card-content>

	</mat-card>

	<mat-card class="art-card" fxFlex="50" fxFlex.lt-md='100'
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">

		<div class="mb-20">
			<h3 >Передача данных</h3>
		</div>

		<mat-card-content>
			<div>
				<mat-checkbox [(ngModel)]="isOovo"> Передача данных в ИС ООВО </mat-checkbox>
			</div>
			<div class="pt-20">
				<button mat-flat-button
						(click)="saveOovo()"
						class="mr-8"
						color="accent"
						[disabled]="isOovo == isOovo_c"> Сохранить </button>
				<button mat-stroked-button
					(click)="this.isOovo = this.isOovo_c"
					[disabled]="isOovo == isOovo_c"> Отмена </button>
			</div>

		</mat-card-content>

	</mat-card>
</div>
<app-loader *ngIf="isLoad">  </app-loader>
